// Code generated by mockery v2.18.0. DO NOT EDIT.

package ssh

import mock "github.com/stretchr/testify/mock"

// MockKeyFactory is an autogenerated mock type for the KeyFactory type
type MockKeyFactory struct {
	mock.Mock
}

// Create provides a mock function with given fields:
func (_m *MockKeyFactory) Create() (*KeyPair, error) {
	ret := _m.Called()

	var r0 *KeyPair
	if rf, ok := ret.Get(0).(func() *KeyPair); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*KeyPair)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewMockKeyFactory interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockKeyFactory creates a new instance of MockKeyFactory. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockKeyFactory(t mockConstructorTestingTNewMockKeyFactory) *MockKeyFactory {
	mock := &MockKeyFactory{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
